[arch-commits] Commit in (5 files)

Tobias Powalowski tpowa at archlinux.org
Thu Apr 9 06:40:10 EDT 2009


    Date: Thursday, April 9, 2009 @ 06:40:10
  Author: tpowa
Revision: 34425

'add as new depend for amarok2'

Added:
  qtscriptgenerator/
  qtscriptgenerator/repos/
  qtscriptgenerator/trunk/
  qtscriptgenerator/trunk/PKGBUILD
  qtscriptgenerator/trunk/phonon.patch

--------------+
 PKGBUILD     |   31 +++++++++++++++++++++++++++++++
 phonon.patch |   55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

Added: qtscriptgenerator/trunk/PKGBUILD
===================================================================
--- qtscriptgenerator/trunk/PKGBUILD	                        (rev 0)
+++ qtscriptgenerator/trunk/PKGBUILD	2009-04-09 10:40:10 UTC (rev 34425)
@@ -0,0 +1,31 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=qtscriptgenerator
+pkgver=0.1.0
+pkgrel=1
+pkgdesc="Script generator for qt"
+arch=("i686" "x86_64")
+url="http://code.google.com/p/qtscriptgenerator/"
+license=('GPL')
+depends=('qt>=4.5.0-4' 'phonon')
+makedepends=('pkgconfig')
+source=(http://qtscriptgenerator.googlecode.com/files/qtscriptgenerator-src-0.1.0.tar.gz
+        phonon.patch)
+build() {
+  cd $srcdir/$pkgname-src-$pkgver/generator
+  # prepare plugins
+  patch -Np2 -i $srcdir/phonon.patch || return 1
+  qmake || return 1
+  make || return 1
+  ./generator --include-paths=/usr/include || return 1
+  # build plugins
+  cd "$srcdir/$pkgname-src-$pkgver/qtbindings"
+  qmake || return 1
+  make || return 1
+  # move plugins to correct directory
+  mkdir -p $pkgdir/usr/lib/qt/plugins/script
+  mv $srcdir/$pkgname-src-$pkgver/plugins/script/* $pkgdir/usr/lib/qt/plugins/script/
+}
+md5sums=('ca4046ad4bda36cd4e21649d4b98886d'
+         'c0266892ecc645b3407f2203ee11a808')

Added: qtscriptgenerator/trunk/phonon.patch
===================================================================
--- qtscriptgenerator/trunk/phonon.patch	                        (rev 0)
+++ qtscriptgenerator/trunk/phonon.patch	2009-04-09 10:40:10 UTC (rev 34425)
@@ -0,0 +1,55 @@
+--- b/generator/qtscript_masterinclude.h	2009-03-21 20:37:30.719523909 -0400
++++ a/generator/qtscript_masterinclude.h	2009-03-21 21:00:25.108149339 -0400
+@@ -31,17 +31,41 @@
+ 
+ #include <QtUiTools/QtUiTools>
+ 
+-#ifndef QT_NO_XMLPATTERNS
+-#  include <QtXmlPatterns/QtXmlPatterns>
+-#endif
+-
+-#ifndef QT_NO_WEBKIT
+-#  include <QtWebKit/QtWebKit>
+-#endif
+-
+-#ifndef QT_NO_PHONON
+-#  include <phonon/phonon>
+-#endif
++#include <QtXmlPatterns/QtXmlPatterns>                                                              
++
++#include <QtWebKit/QtWebKit>                                                                        
++                                                                                                    
++#include "phonon/abstractaudiooutput.h"                                                             
++#include "phonon/abstractmediastream.h"                                                             
++#include "phonon/abstractvideooutput.h"                                                             
++#include "phonon/addoninterface.h"                                                                  
++#include "phonon/audiooutput.h"                                                                     
++#include "phonon/audiooutputinterface.h"                                                            
++#include "phonon/backendcapabilities.h"                                                             
++#include "phonon/backendinterface.h"
++#include "phonon/effect.h"
++#include "phonon/effectinterface.h"
++#include "phonon/effectparameter.h"
++#include "phonon/effectwidget.h"
++#include "phonon/mediacontroller.h"
++#include "phonon/medianode.h"
++#include "phonon/mediaobject.h"
++#include "phonon/mediaobjectinterface.h"
++#include "phonon/mediasource.h"
++#include "phonon/objectdescription.h"
++#include "phonon/objectdescriptionmodel.h"
++#include "phonon/path.h"
++#include "phonon/phonondefs.h"
++#include "phonon/phononnamespace.h"
++#include "phonon/platformplugin.h"
++#include "phonon/seekslider.h"
++#include "phonon/streaminterface.h"
++#include "phonon/videoplayer.h"
++#include "phonon/videowidget.h"
++#include "phonon/videowidgetinterface.h"
++#include "phonon/volumefadereffect.h"
++#include "phonon/volumefaderinterface.h"
++#include "phonon/volumeslider.h"
+ 
+ #include "../qtbindings/qtscript_core/qtscriptconcurrent.h"
+ 



More information about the arch-commits mailing list